/* Exported/generated from layout.py */
#define PORT_WIDTH 320
#define PORT_HEIGHT 240
struct LayoutRect {
    unsigned short x, y, w, h;
    unsigned short name;
    unsigned short kind;
};
enum GameLayoutRectName {
    GAME_LAYOUT_BG,
    GAME_LAYOUT_BGFIX,
    GAME_LAYOUT_TITLE_BAR,
    GAME_LAYOUT_PLAY_FIELD,
    GAME_LAYOUT_SCORE_1,
    GAME_LAYOUT_SCORE_2,
    GAME_LAYOUT_SCORE_3,
    GAME_LAYOUT_BLOCK,
};
struct GameLayout {
    LayoutRect bg;
    LayoutRect bgfix;
    LayoutRect title_bar;
    LayoutRect play_field;
    LayoutRect score_1;
    LayoutRect score_2;
    LayoutRect score_3;
    LayoutRect block;
} game_layout = {
    { 0, 0, 320, 240, GAME_LAYOUT_BG, 1 },
    { 356, 68, 0, 104, GAME_LAYOUT_BGFIX, 1 },
    { 0, 0, 320, 16, GAME_LAYOUT_TITLE_BAR, 0 },
    { 0, 16, 256, 224, GAME_LAYOUT_PLAY_FIELD, 2 },
    { 256, 32, 64, 44, GAME_LAYOUT_SCORE_1, 0 },
    { 256, 92, 64, 44, GAME_LAYOUT_SCORE_2, 0 },
    { 256, 180, 64, 44, GAME_LAYOUT_SCORE_3, 0 },
    { 1000, 1000, 16, 16, GAME_LAYOUT_BLOCK, 2 },
};
struct LayoutRect subdivided[] = {
    { 0, 0, 320, 16, GAME_LAYOUT_TITLE_BAR, 0 },
    { 0, 16, 256, 224, GAME_LAYOUT_PLAY_FIELD, 2 },
    { 256, 16, 64, 16, GAME_LAYOUT_BG, 1 },
    { 256, 32, 64, 44, GAME_LAYOUT_SCORE_1, 0 },
    { 256, 76, 64, 16, GAME_LAYOUT_BG, 1 },
    { 256, 92, 64, 44, GAME_LAYOUT_SCORE_2, 0 },
    { 256, 136, 64, 44, GAME_LAYOUT_BG, 1 },
    { 256, 180, 64, 44, GAME_LAYOUT_SCORE_3, 0 },
    { 256, 224, 64, 16, GAME_LAYOUT_BG, 1 },
    { 1000, 1000, 16, 16, GAME_LAYOUT_BLOCK, 2 },
};
