#!/bin/sh

DOSBOX=dosbox
DOSHOME=$PWD/dos

python3 amalgamate.py
mv LOONIES8.CPP $DOSHOME/

$DOSBOX \
    -c "mount c $DOSHOME" \
    -c "imgmount -t cdrom d artwork/cd-audio/loonies.cue" \
    -c 'c:' \
    -c 'cd borlandc' \
    -c 'cd bin' \
    -c 'del loonies8.exe' \
    -c 'bcc -2 c:\loonies8.cpp' \
    -c 'dir loonies8.exe' \
    -c "cycles 9000" \
    -c 'loonies8.exe' \
    -c 'exit'
